diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index a66f4518ae..b49ee6d47a 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -21691,7 +21691,7 @@ (define-public umi-tools
 genetic sequences.  There are six tools: the @code{extract} and
 @code{whitelist} commands are used to prepare a fastq containing UMIs @code{+/-}
 cell barcodes for alignment.  The remaining commands, @code{group},
-@code{dedup}, and @{count}/@code{count_tab}, are used to identify PCR
+@code{dedup}, and @code{count}/@code{count_tab}, are used to identify PCR
 duplicates using the UMIs and perform different levels of analysis depending
 on the needs of the user.")
     (license license:expat)))
diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 1dfbf255c7..fc1adff9fa 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -8173,7 +8173,7 @@ (define-public r-ggside
     (synopsis "Side grammar graphics that extends @code{ggplot2}")
     (description
      "The grammar of graphics as shown in @code{ggplot2} has provided an
-expressive API for users to build plots.  This package @{ggside} extends
+expressive API for users to build plots.  This package @code{ggside} extends
 @code{ggplot2} by allowing users to add graphical information about one of the
 main panel's axis using a familiar @code{ggplot2} style API with tidy data.
 This package is particularly useful for visualizing metadata on a discrete
diff --git a/gnu/packages/crates-apple.scm b/gnu/packages/crates-apple.scm
index 1c3c941209..d345102e67 100644
--- a/gnu/packages/crates-apple.scm
+++ b/gnu/packages/crates-apple.scm
@@ -389,7 +389,7 @@ (define-public rust-commoncrypto-0.2
          ("rust-commoncrypto-sys" ,rust-commoncrypto-sys-0.2))))
     (home-page "https://github.com/malept/rust-commoncrypto")
     (synopsis "Idiomatic Rust wrappers for Mac OS X's CommonCrypto library")
-    (description "The @{commoncrypto} library provides Rust FFI bindings and
+    (description "The @code{commoncrypto} library provides Rust FFI bindings and
 idiomatic wrappers for Mac OS X's CommonCrypto library.")
     (license license:expat)))
 
diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index edd4466154..7e6e754bef 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -45108,7 +45108,7 @@ (define-public rust-ndarray-rand-0.15
     (synopsis "Constructors for randomized arrays")
     (description
      "This package provides constructors for randomized arrays.  It provides
-@{rand} integration for @{ndarray}.")
+@code{rand} integration for @code{ndarray}.")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-ndk-0.9
diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index c688ff34c4..0578740097 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -14658,7 +14658,7 @@ (define-public emacs-load-relative
     (description
      "Provides functions which facilitate writing multi-file Emacs packages
 and running from the source tree without having to \"install\" code or fiddle
-with @{load-path}.
+with @code{load-path}.
 
 The main function, @code{load-relative}, loads an Emacs Lisp file relative to
 another (presumably currently running) Emacs Lisp file.")
@@ -16736,7 +16736,7 @@ (define-public emacs-el-x
              #t)))))
     (home-page "https://github.com/sigma/el-x")
     (synopsis "Emacs Lisp extensions")
-    (description "command@{emacs-el-x} defines the @code{dflet} macro to
+    (description "@command{emacs-el-x} defines the @code{dflet} macro to
 provide the historic behavior of @code{flet}, as well as
 @code{declare-function} stub for older Emacs.")
     (license license:gpl2+)))
@@ -26577,7 +26577,7 @@ (define-public emacs-helm-org-ql
            emacs-s))
     (synopsis "Helm commands for @code{emacs-org-ql}")
     (description "This package provides @code{emacs-helm} commands for
-@{emacs-org-ql}, a Lispy query language for Org files, allowing for actions to
+@code{emacs-org-ql}, a Lispy query language for Org files, allowing for actions to
 be performed based on search criteria.")))
 
 (define-public emacs-bing-dict
@@ -43064,7 +43064,7 @@ (define-public emacs-consult-lsp
     (synopsis "LSP mode and Consult helping each other")
     (description
 "@code{emacs-consult-lsp} provides helpers for interactively selecting LSP
-workspace diagnostics, symbols, and file symbols from @{emacs-lsp-mode}
+workspace diagnostics, symbols, and file symbols from @code{emacs-lsp-mode}
 by leveraging @code{emacs-consult} APIs.")
     (license license:expat)))
 
diff --git a/gnu/packages/golang-xyz.scm b/gnu/packages/golang-xyz.scm
index 21d2b05abc..6fefd59f6b 100644
--- a/gnu/packages/golang-xyz.scm
+++ b/gnu/packages/golang-xyz.scm
@@ -13857,7 +13857,7 @@ (define-public go-github-com-songmu-gitconfig
     (home-page "https://github.com/songmu/gitconfig")
     (synopsis "Go library to get configuration values from gitconfig")
     (description
-     "@{gitconfig} is a package to get configuration values from gitconfig.")
+     "@code{gitconfig} is a package to get configuration values from gitconfig.")
     (license license:expat)))
 
 (define-public go-github-com-soniakeys-quant
diff --git a/gnu/packages/haskell-xyz.scm b/gnu/packages/haskell-xyz.scm
index 0a739640ab..dc564e7a58 100644
--- a/gnu/packages/haskell-xyz.scm
+++ b/gnu/packages/haskell-xyz.scm
@@ -8549,7 +8549,7 @@ (define-public ghc-text-short
 The main difference between @code{Text} and @code{ShortText} is that
 @code{ShortText} uses UTF-8 instead of UTF-16 internally and also doesn't
 support zero-copy slicing (thereby saving 2 words).  Consequently, the memory
-footprint of a (boxed) @{ShortText} value is 4 words (2 words when unboxed)
+footprint of a (boxed) @code{ShortText} value is 4 words (2 words when unboxed)
 plus the length of the UTF-8 encoded payload.")
     (license license:bsd-3)))
 
@@ -13891,7 +13891,7 @@ (define-public ghc-validation
 The @code{Validation} data type is isomorphic to @code{Either}, but has an
 instance of @code{Applicative} that accumulates on the error side.  That is to
 say, if two (or more) errors are encountered, they are appended using a
-@{Semigroup} operation.
+@code{Semigroup} operation.
 
 As a consequence of this @code{Applicative} instance, there is no
 corresponding @code{Bind} or @code{Monad} instance.  @code{Validation} is an
diff --git a/gnu/packages/image.scm b/gnu/packages/image.scm
index 170a1505f3..1b87dcfff2 100644
--- a/gnu/packages/image.scm
+++ b/gnu/packages/image.scm
@@ -1825,7 +1825,7 @@ (define-public imgp
 while saving significantly on storage.
 
 This package may optionally be built with @code{python-pillow-simd} in place
-of @{python-pillow} for SIMD parallelism.")
+of @code{python-pillow} for SIMD parallelism.")
     (license license:gpl3+)))
 
 (define-public pngsuite
diff --git a/gnu/packages/perl-check.scm b/gnu/packages/perl-check.scm
index 8a0c64884e..9d13f057a5 100644
--- a/gnu/packages/perl-check.scm
+++ b/gnu/packages/perl-check.scm
@@ -662,7 +662,7 @@ (define-public perl-test-file-contents
     (home-page "https://metacpan.org/release/Test-File-Contents")
     (synopsis "Test routines for examining the contents of files")
     (description
-     "@{Test::File::Contents} provides functions for testing the contents of
+     "@code{Test::File::Contents} provides functions for testing the contents of
 files.")
     (license perl-license)))
 
diff --git a/gnu/packages/perl-web.scm b/gnu/packages/perl-web.scm
index dfc3cc49e3..2b9cc608e0 100644
--- a/gnu/packages/perl-web.scm
+++ b/gnu/packages/perl-web.scm
@@ -84,7 +84,7 @@ (define-public perl-uri-db
     (home-page "https://metacpan.org/release/URI-db")
     (synopsis "Handle database URIs")
     (description
-     "This module defines a format for database URIs, and provides a @{URI}
+     "This module defines a format for database URIs, and provides a @code{URI}
 class to handle these.")
     (license license:perl-license)))
 
diff --git a/gnu/packages/perl.scm b/gnu/packages/perl.scm
index 9dfd3fcf61..6858322c34 100644
--- a/gnu/packages/perl.scm
+++ b/gnu/packages/perl.scm
@@ -2010,7 +2010,7 @@ (define-public perl-clipboard
     (propagated-inputs (list perl-cgi perl-uri))
     (home-page "https://metacpan.org/release/Clipboard")
     (synopsis "Copy and paste with any OS")
-    (description "@{Clipboard} provides functionality to copy and
+    (description "@code{Clipboard} provides functionality to copy and
 paste with any OS.")
     (license license:perl-license)))
 
@@ -13588,7 +13588,7 @@ (define-public perl-module-refresh
     (native-inputs (list perl-path-class perl-module-install))
     (home-page "https://metacpan.org/release/Module-Refresh")
     (synopsis "Refresh %INC files when updated on disk")
-    (description "@{Module::Refresh} provides ways to refresh %INC files
+    (description "@code{Module::Refresh} provides ways to refresh %INC files
 when updated on disk.")
     (license license:perl-license)))
 
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 1469fe8904..aa5e09a371 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -6917,7 +6917,7 @@ (define-public python-ddlparse
     (propagated-inputs (list python-pyparsing))
     (home-page "https://github.com/shinichi-takii/ddlparse")
     (synopsis "Parses and converts DDL to BigQuery JSON schema")
-    (description "This package provides @{ddlparse}, a Python library to parse
+    (description "This package provides @code{ddlparse}, a Python library to parse
 and convert DDL to BigQuery JSON schema.")
     (license license:bsd-3)))
 
@@ -9581,7 +9581,7 @@ (define-public python-black-macchiato
     (home-page "https://github.com/wbolster/black-macchiato")
     (synopsis "Partial @code{python-black} formatting")
     (description
-     "This package is built on top the @{python-black} code formatter to
+     "This package is built on top the @code{python-black} code formatter to
 enable formatting of partial files.")
     (license license:bsd-3)))
 
@@ -17028,7 +17028,7 @@ (define-public python-pysendfile
                          (invoke "make" "test")))))))
     (home-page "https://github.com/giampaolo/pysendfile")
     (synopsis "Python interface to sendfile(2)")
-    (description "The @{pysendfile} Python library provides an interface to
+    (description "The @code{pysendfile} Python library provides an interface to
 the @code{sendfile(2)} system call.")
     (license license:expat)))
 
diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index e333ef3039..5896d22677 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -1263,7 +1263,7 @@ (define-public qt5compat
     (description "The @code{qt5compat} package includes application
 programming interfaces (APIs) from Qt 5 that were ported to Qt 6, to ease
 migration.  It provides for example the @code{GraphicalEffects} module that
-came with the @{qtgraphicaleffects} Qt 5 package.")
+came with the @code{qtgraphicaleffects} Qt 5 package.")
     (license (list license:gpl2+ license:lgpl3+)))) ;dual licensed
 
 (define-public qtsvg-5
diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index 24407fbd58..68d87652ed 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -11239,7 +11239,7 @@ (define-public ruby-ruby-engine
     (description
      "@code{ruby_engine} provides an RubyEngine class that can be used to
 check which implementation of Ruby is in use.  It can provide the interpreter
-name and provides query methods such as @{RubyEngine.mri?}.")
+name and provides query methods such as @code{RubyEngine.mri?}.")
     (home-page "https://github.com/janlelis/ruby_engine")
     (license license:expat)))
 
@@ -12153,7 +12153,7 @@ (define-public ruby-httpclient
      "Make HTTP requests with support for HTTPS, Cookies, authentication and more")
     (description
      "The @code{httpclient} ruby library provides functionality related to
-HTTP.  Compared to the @code{net/http} library, @{httpclient} also provides
+HTTP.  Compared to the @code{net/http} library, @code{httpclient} also provides
 Cookie, multithreading and authentication (digest, NTLM) support.
 
 Also provided is a @command{httpclient} command, which can perform HTTP
diff --git a/gnu/packages/sagemath.scm b/gnu/packages/sagemath.scm
index ee8fea3357..25009a3186 100644
--- a/gnu/packages/sagemath.scm
+++ b/gnu/packages/sagemath.scm
@@ -253,7 +253,7 @@ (define-public python-memory-allocator
     (home-page "https://github.com/sagemath/memory_allocator")
     (synopsis "Extension class to allocate memory easily with Cython")
     (description "This package provides a single extension class
- @code{MemoryAllocator} with @{cdef} methods
+ @code{MemoryAllocator} with @code{cdef} methods
 
 @itemize
 @item @code{malloc}
diff --git a/gnu/packages/spreadsheet.scm b/gnu/packages/spreadsheet.scm
index 194d4f637e..7b5fd6dcf1 100644
--- a/gnu/packages/spreadsheet.scm
+++ b/gnu/packages/spreadsheet.scm
@@ -92,7 +92,7 @@ (define-public sc-im
       (synopsis "Spreadsheet program with vim-like keybindings")
       (description
  "@code{sc-im} is a highly configurable spreadsheet program
- providing a vim-like experience.  @code{sc-im} supports @{gnuplot} interaction,
+ providing a vim-like experience.  @code{sc-im} supports @code{gnuplot} interaction,
  functions for sorting and filtering, 256 color support, and much more.")
       (license bsd-4)))
 
diff --git a/gnu/packages/time.scm b/gnu/packages/time.scm
index 2a09efb1fc..70a5a9a651 100644
--- a/gnu/packages/time.scm
+++ b/gnu/packages/time.scm
@@ -325,7 +325,7 @@ (define-public python-pendulum
     (home-page "https://github.com/sdispater/pendulum")
     (synopsis "Alternate API for Python datetimes")
     (description "Pendulum is a drop-in replacement for the standard
-@{datetime} class, providing an alternative API.  As it inherits from the
+@code{datetime} class, providing an alternative API.  As it inherits from the
 standard @code{datetime} all @code{datetime} instances can be replaced by
 Pendulum instances.")
     (license expat)))