diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index f75254ed9f..60d0dc6f8f 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -12512,7 +12512,7 @@ (define-public multiqc
            python-numpy
            python-pyyaml
            python-requests
-           python-rich
+           python-rich-12.4
            python-rich-click
            python-simplejson
            python-spectra))
diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 567b01f396..74ec405a94 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -1208,7 +1208,7 @@ (define-public httpie
      '(#:tests? #f))
     (propagated-inputs
      (list python-colorama
-           python-pygments
+           python-pygments-2.16
            python-requests
            python-requests-toolbelt
            python-pysocks
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index a0ad12a29f..cef458e0fc 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -7205,7 +7205,7 @@ (define-public pelican
            python-feedgenerator
            python-jinja2
            python-markdown
-           python-pygments
+           python-pygments-2.16
            python-pytz
            python-rich
            python-unidecode))
@@ -18585,49 +18585,47 @@ (define-public python-slugid
 (define-public python-rich
   (package
     (name "python-rich")
-    (version "12.4.1")
+    (version "13.7.0")
     (source (origin
-              (method url-fetch)
-              (uri (pypi-uri "rich" version))
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/Textualize/rich")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
               (sha256
                (base32
-                "149vjb4cpf9mz14iig0b6d8065dm8aslp6pc45g9ipmp1wf00ffj"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:phases
-       (modify-phases %standard-phases
-         (replace 'check
-           (lambda* (#:key inputs tests? #:allow-other-keys)
-             (when tests?
-               (copy-recursively (string-append
-                                  (assoc-ref inputs "tests") "/tests")
-                                 "tests")
-               (invoke "python" "-m" "pytest" "-vv")))))))
+                "0qyhw2vvk17qdmfrmi45z4dd0fkwx3l2qrf3iy0yc2y7pfgrmg9g"))))
+    (build-system pyproject-build-system)
     (propagated-inputs
-     (list python-attrs python-colorama python-commonmark python-pygments
-           python-typing-extensions))
+     (list python-markdown-it-py python-pygments-2.16 python-typing-extensions))
     (native-inputs
-     `(("python-pytest" ,python-pytest)
-       ("tests"
-        ;; The release on pypi comes without tests.  We can't build from this
-        ;; checkout, though, because installation requires an invocation of
-        ;; poetry.
-        ,(origin
-           (method git-fetch)
-           (uri (git-reference
-                 (url "https://github.com/willmcgugan/rich")
-                 (commit (string-append "v" version))))
-           (file-name (git-file-name name version))
-           (sha256
-            (base32
-             "17c3gljn8zv32xnpsgd3fqgqn4r7cdfqri41hridcpbhssdgkyp9"))))))
-    (home-page "https://github.com/willmcgugan/rich")
+     (list poetry python-attr python-pytest python-pytest-cov))
+    (home-page "https://github.com/Textualize/rich")
     (synopsis "Render rich text and more to the terminal")
     (description
      "This is a Python package for rendering rich text, tables, progress bars,
 syntax highlighting, markdown and more to the terminal.")
     (license license:expat)))
 
+(define-public python-rich-12.4
+  (package
+    (inherit python-rich)
+    (version "12.4.1")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/Textualize/rich")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name "python-rich" version))
+              (sha256
+               (base32
+                "17c3gljn8zv32xnpsgd3fqgqn4r7cdfqri41hridcpbhssdgkyp9"))))
+    (propagated-inputs
+     (list python-colorama
+           python-commonmark
+           python-pygments
+           python-typing-extensions))))
+
 (define-public python-rich-click
   (package
     (name "python-rich-click")