diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 0825fbb6ef..96a4c6a2d6 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -22501,88 +22501,6 @@ (define-public vcflib
 manipulations on VCF files.")
     (license license:expat)))
 
-(define-public freebayes
-  (package
-    (name "freebayes")
-    (version "1.3.7")
-    (source (origin
-              (method git-fetch)
-              (uri (git-reference
-                    (url "https://github.com/freebayes/freebayes")
-                    (commit (string-append "v" version))))
-              (file-name (git-file-name name version))
-              (sha256
-               (base32 "163nd1xkq547za80khlys4qkgal64f3sgl6ap3yvik68r0rgyisv"))))
-    (build-system meson-build-system)
-    (inputs
-     (list fastahack htslib smithwaterman tabixpp vcflib))
-    (native-inputs
-     `(("bash-tap" ,bash-tap)
-       ("bc" ,bc)
-       ("grep" ,grep)   ; Built with perl support.
-       ("parallel" ,parallel)
-       ("perl" ,perl)
-       ("pkg-config" ,pkg-config)
-       ("python" ,python)
-       ("samtools" ,samtools)
-       ("simde" ,simde)
-       ;; This submodule is needed to run the tests.
-       ("test-simple-bash-src"
-        ,(origin
-           (method git-fetch)
-           (uri (git-reference
-                 (url "https://github.com/ingydotnet/test-simple-bash/")
-                 (commit "124673ff204b01c8e96b7fc9f9b32ee35d898acc")))
-           (file-name "test-simple-bash-src-checkout")
-           (sha256
-            (base32 "043plp6z0x9yf7mdpky1fw7zcpwn1p47px95w9mh16603zqqqpga"))))))
-    (arguments
-     `(#:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'patch-source
-           (lambda* (#:key inputs #:allow-other-keys)
-             (let ((bash-tap (assoc-ref inputs "bash-tap")))
-               (substitute* (find-files "test/t")
-                 (("BASH_TAP_ROOT=bash-tap")
-                  (string-append "BASH_TAP_ROOT=" bash-tap "/bin"))
-                 (("bash-tap/bash-tap-bootstrap")
-                  (string-append bash-tap "/bin/bash-tap-bootstrap"))
-                 (("source.*bash-tap-bootstrap")
-                  (string-append "source " bash-tap "/bin/bash-tap-bootstrap")))
-               (substitute* '("src/BedReader.cpp"
-                              "src/BedReader.h")
-                 (("../intervaltree/IntervalTree.h") "IntervalTree.h"))
-               ;; We don't have Perl support in grep -E.
-               (substitute* '("test/t/01_call_variants.t"
-                              "test/t/01b_call_variants.t")
-                 (("grep -P") "grep -E")
-                 (("\\\\t") "	"))
-               (substitute* "meson.build"
-                 ;; Our pkg-config file is vcflib.pc
-                 (("libvcflib") "vcflib")
-                 (("vcflib_inc,") "")))))
-         (add-after 'unpack 'unpack-submodule-sources
-           (lambda* (#:key inputs #:allow-other-keys)
-             (mkdir-p "test/test-simple-bash")
-             (copy-recursively (assoc-ref inputs "test-simple-bash-src")
-                               "test/test-simple-bash")))
-        ;; The slow tests take longer than the specified timeout.
-        ,@(if (any (cute string=? <> (%current-system))
-                   '("armhf-linux" "aarch64-linux"))
-            '((replace 'check
-                (lambda* (#:key tests? #:allow-other-keys)
-                  (when tests?
-                    (invoke "meson" "test" "--timeout-multiplier" "5")))))
-            '()))))
-    (home-page "https://github.com/freebayes/freebayes")
-    (synopsis "Haplotype-based variant detector")
-    (description "FreeBayes is a Bayesian genetic variant detector designed to
-find small polymorphisms, specifically SNPs (single-nucleotide polymorphisms),
-indels (insertions and deletions), MNPs (multi-nucleotide polymorphisms), and
-complex events (composite insertion and substitution events) smaller than the
-length of a short-read sequencing alignment.")
-    (license license:expat)))
-
 (define-public samblaster
   (package
     (name "samblaster")